Subject: odbc32 linking problems
From: [email-masked] (Michael Imor)

24 Jun 1998 21:54:19 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]

From searching the archives I know this question has been asked many times
before but I couldn't find a response so here it goes again.

How do you link against the odbc libraries?

Here's my sample do-nothing program:

#include <sqlext.h>

main()
{
	HDBC Connection;
	HSTMT    Statement;

	SQLAllocStmt(Connection, &Statement);
}   

This is what I use to compile:

gcc -o odbctest odbctest.c -lodbc32

And here's the error I get:

C:\TEMP\cc0010371.o(.text+0x14):odbctest.c: undefined reference to
`SQLAllocStmt'

Any ideas?

I'm using cygwin32 B19.1

Thanks
Mike

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".